LibreOffice: TableValidation Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
TableValidation Service Referencepublished

represents the data validation settings for a cell or cell range. More...

Inheritance diagram for TableValidation:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::sheet::XSheetCondition

## Public Attributes
com::sun::star::sheet::ValidationType | Type
| specifies the type of validation.
boolean | ShowInputMessage
| specifies if an input message is shown when the cursor is in a cell with these validation settings.
string | InputTitle
| specifies the title of the window showing the input message.
string | InputMessage
| specifies the text of the input message.
boolean | ShowErrorMessage
| specifies if an error message is displayed when invalid data is entered.
string | ErrorTitle
| specifies the title of the window showing the error message.
string | ErrorMessage
| specifies the text of the error message.
boolean | IgnoreBlankCells
| specifies if blank cells should be allowed.
com::sun::star::sheet::ValidationAlertStyle | ErrorAlertStyle
| specifies the style of the error message.
short | ShowList
| specifies if the list of possible values should be shown on the cell and how.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XSheetCondition
com::sun::star::sheet::ConditionOperator | getOperator ()
| returns the operator in the condition.
void | setOperator ([in] com::sun::star::sheet::ConditionOperator nOperator)
| sets the operator in the condition.
string | getFormula1 ()
| returns either the comparison value, which is used in the condition, or the first value if two values are needed for the operator.
void | setFormula1 ([in] string aFormula1)
| sets either the comparison value, which is used in the condition, or the first value if two values are needed for the operator.
string | getFormula2 ()
| if two values are needed for the operator, this method returns the second one.
void | setFormula2 ([in] string aFormula2)
| if two values are needed for the operator, this method sets the second one.
com::sun::star::table::CellAddress | getSourcePosition ()
| returns the position in the document which is used as a base for relative references in the formulas.
void | setSourcePosition ([in] com::sun::star::table::CellAddress aSourcePosition)
| sets the position in the document which is used as a base for relative references in the formulas.

## Detailed Description

represents the data validation settings for a cell or cell range.

Developers Guide
  Spreadsheet Documents - Other Table Operations - Data Validation

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::sheet::XSheetCondition

interface com::sun::star::sheet::XSheetCondition

## Member Data Documentation

## ◆ ErrorAlertStyle

com::sun::star::sheet::ValidationAlertStyle ErrorAlertStyle
| property

specifies the style of the error message.

This is used only if TableValidation::ShowErrorMessage is set to `TRUE`.

## ◆ ErrorMessage

string ErrorMessage
| property

specifies the text of the error message.

This is only used if TableValidation::ShowErrorMessage is set to `TRUE`.

## ◆ ErrorTitle

string ErrorTitle
| property

specifies the title of the window showing the error message.

This is only used if TableValidation::ShowErrorMessage is set to `TRUE`.

## ◆ IgnoreBlankCells

boolean IgnoreBlankCells
| property

specifies if blank cells should be allowed.

## ◆ InputMessage

string InputMessage
| property

specifies the text of the input message.

This is only used if TableValidation::ShowInputMessage is set to `TRUE`.

## ◆ InputTitle

string InputTitle
| property

specifies the title of the window showing the input message.

This is only used if TableValidation::ShowInputMessage is set to `TRUE`.

## ◆ ShowErrorMessage

boolean ShowErrorMessage
| property

specifies if an error message is displayed when invalid data is entered.

## ◆ ShowInputMessage

boolean ShowInputMessage
| property

specifies if an input message is shown when the cursor is in a cell with these validation settings.

## ◆ ShowList

short ShowList
| optionalproperty

specifies if the list of possible values should be shown on the cell and how.

See also TableValidationVisibility

## ◆ Type

com::sun::star::sheet::ValidationType Type
| property

specifies the type of validation.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/TableValidation.idl